Update fee - Fabric

Update fee

cURL

curl --request PATCH \
  --url https://api.fabric.inc/v3/carts/{cartId}/fees/{feeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '\n{\n  "name": "Eco Fee",\n  "taxable": true,\n  "attributes": {\n    "source": "eco"\n  },\n  "taxDetails": {\n    "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",\n    "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"\n  }\n}\n'

Python Code

import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/fees/{feeId}"

payload = {
    "name": "Eco Fee",
    "taxable": True,
    "attributes": { "source": "eco" },
    "taxDetails": {
        "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",
        "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"
    }
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript Code

const options = {
  method: 'PATCH',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'Eco Fee',
    taxable: true,
    attributes: {source: 'eco'},
    taxDetails: {
      destinationAddress: 'c86f777b-1885-4ddf-961d-542ba80a69b8',
      originAddress: 'c86f777b-1885-4ddf-961d-542ba80a69b8'
    }
  })
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/fees/{feeId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Code




Possible Responses

200 OK

{
  "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
  "name": "Eco Fee",
  "price": {
    "amount": 12.99
  },
  "taxable": true,
  "attributes": {
    "source": "eco"
  },
  "tax": {
    "total": 3,
    "collection": [
      {
        "amount": 3,
        "attributes": {
          "rate": "5.0",
          "type": "COUNTY"
        }
      }
    ]
  },
  "updatedAt": "2024-06-13T16:50:00.682Z",
  "createdAt": "2024-06-13T16:50:00.682Z",
  "taxDetails": {
    "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",
    "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"
  }
}

400 Bad Request

{
  "type": "BAD_REQUEST",
  "message": "x-fabric-tenant-id is required"
}

404 Not Found

{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}

Authorization

Authorization: string - required

This is the authorization token used to authenticate the request. You must pass the access token generated from the system app.

Headers

A header used by fabric to identify the tenant making the request.

Path Parameters

The 24-character system-generated Cart ID.

The Fee ID generated from the Create fee endpoint.

Body

Fee Request